var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":230,"id":2801,"methods":[{"el":84,"sc":5,"sl":80},{"el":90,"sc":5,"sl":86},{"el":107,"sc":5,"sl":92},{"el":113,"sc":5,"sl":109},{"el":118,"sc":5,"sl":115},{"el":140,"sc":5,"sl":120},{"el":228,"sc":5,"sl":206}],"name":"TestClientReauthentication","sl":78},{"el":152,"id":2824,"methods":[{"el":150,"sc":9,"sl":144}],"name":"TestClientReauthentication.ResponseBasicUnauthorized","sl":142},{"el":177,"id":2829,"methods":[{"el":175,"sc":9,"sl":158}],"name":"TestClientReauthentication.AuthHandler","sl":154},{"el":204,"id":2842,"methods":[{"el":187,"sc":9,"sl":184},{"el":190,"sc":9,"sl":189},{"el":195,"sc":9,"sl":192},{"el":198,"sc":9,"sl":197},{"el":202,"sc":9,"sl":200}],"name":"TestClientReauthentication.TestCredentialsProvider","sl":179}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_17":{"methods":[{"sl":115},{"sl":120},{"sl":144},{"sl":158},{"sl":184},{"sl":192},{"sl":206}],"name":"testBasicAuthenticationSuccess","pass":true,"statements":[{"sl":117},{"sl":123},{"sl":130},{"sl":131},{"sl":133},{"sl":134},{"sl":136},{"sl":137},{"sl":138},{"sl":139},{"sl":147},{"sl":148},{"sl":162},{"sl":163},{"sl":164},{"sl":167},{"sl":168},{"sl":170},{"sl":171},{"sl":172},{"sl":185},{"sl":186},{"sl":193},{"sl":194},{"sl":208},{"sl":209},{"sl":210},{"sl":212},{"sl":215},{"sl":217},{"sl":218},{"sl":219},{"sl":220},{"sl":221},{"sl":222},{"sl":223},{"sl":224},{"sl":225},{"sl":226}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [17], [], [17], [], [], [17], [], [], [17], [], [], [], [], [], [], [17], [17], [], [17], [17], [], [17], [17], [17], [17], [], [], [], [], [17], [], [], [17], [17], [], [], [], [], [], [], [], [], [], [17], [], [], [], [17], [17], [17], [], [], [17], [17], [], [17], [17], [17], [], [], [], [], [], [], [], [], [], [], [], [17], [17], [17], [], [], [], [], [], [17], [17], [17], [], [], [], [], [], [], [], [], [], [], [], [17], [], [17], [17], [17], [], [17], [], [], [17], [], [17], [17], [17], [17], [17], [17], [17], [17], [17], [17], [], [], [], []]
